/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2012, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_ipban
#define headerfile_winix_functions_ipban

#include "functionbase.h"



namespace Fun
{

// IPBanFun in order to not confused with IPBan from core winix
class IPBanFun : public FunctionBase
{
public:

	IPBanFun();

	bool HasAccess();
	void MakePost();
	void MakeGet();

private:

	std::string tmp_ip_str;

};


} // namespace

#endif
