/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010-2012, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_plugins_thread_pluginmsg
#define headerfile_winix_plugins_thread_pluginmsg


// values from 4000 - 4099 reserved for 'thread' plugin

#define WINIX_PL_THREAD_SET_SORTTAB			4000
#define WINIX_PL_THREAD_READ_THREADS		4001
#define WINIX_PL_THREAD_SET_SORTTAB_INDEX	4002
#define WINIX_PL_THREAD_PREPARE_THREAD		4003


#define WINIX_PL_THREAD_SEARCH_THREAD_DIR	4004


#define WINIX_PL_THREAD_CAN_MAKE_REDIRECT	4005


// a new answer is going to add in a thread
// in p1 you have a pointer to the new Item struct
// cur->request->item is the 'main' thread file
#define WINIX_PL_THREAD_PREPARE_TO_REPLY_IN_THREAD	4006


#endif


