/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2012, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_core_lock
#define headerfile_winix_core_lock

#include "synchro.h"


class Lock
{
public:

	Lock(Synchro * synchro_);
	Lock(Synchro & synchro_);

	~Lock();

	void Unlock();
	
	
private:

	Synchro * synchro;

	Lock();
	
};


#endif
